# TwoCubeCore Placeholders

#### Economy

| Placeholder                  | Returns                         |
| ---------------------------- | ------------------------------- |
| `%twocubecore_balance%`      | Formatted money balance         |
| `%twocubecore_money%`        | Formatted money balance (alias) |
| `%twocubecore_shards%`       | Formatted shard balance         |
| `%twocubecore_shard_amount%` | Formatted shard balance (alias) |

#### Stats

| Placeholder                         | Returns                        |
| ----------------------------------- | ------------------------------ |
| `%twocubecore_kills%`               | Total player kills             |
| `%twocubecore_deaths%`              | Total deaths                   |
| `%twocubecore_playtime%`            | Formatted total playtime       |
| `%twocubecore_blocks_placed%`       | Blocks placed                  |
| `%twocubecore_blocks_broken%`       | Blocks broken                  |
| `%twocubecore_mobs_killed%`         | Mobs killed                    |
| `%twocubecore_kill_streak%`         | Current kill streak            |
| `%twocubecore_highest_kill_streak%` | Best kill streak ever          |
| `%twocubecore_money_spent%`         | Total money spent (formatted)  |
| `%twocubecore_money_made%`          | Total money earned (formatted) |
| `%twocubecore_bounty_price%`        | Your current bounty amount     |

#### World / Player Info

| Placeholder                | Returns                            |
| -------------------------- | ---------------------------------- |
| `%twocubecore_ping%`       | Player ping in ms                  |
| `%twocubecore_playerping%` | Player ping in ms (alias)          |
| `%twocubecore_world%`      | Current world name                 |
| `%twocubecore_x%`          | X coordinate (integer)             |
| `%twocubecore_y%`          | Y coordinate (integer)             |
| `%twocubecore_z%`          | Z coordinate (integer)             |
| `%twocubecore_killer%`     | Name of last player who killed you |

#### Cooldowns & Timers

| Placeholder                      | Returns                              |
| -------------------------------- | ------------------------------------ |
| `%twocubecore_keyall%`           | Time until next Key-All (formatted)  |
| `%twocubecore_keyall_cooldown%`  | Time until next Key-All (alias)      |
| `%twocubecore_rtp_cooldown%`     | RTP remaining cooldown (seconds)     |
| `%twocubecore_rtpzone_cooldown%` | RTPZone remaining cooldown (seconds) |
| `%twocubecore_remaining%`        | RTP cooldown remaining (alias)       |

#### AFK

| Placeholder              | Returns                                      |
| ------------------------ | -------------------------------------------- |
| `%twocubecore_afk%`      | `true` or `false`                            |
| `%twocubecore_is_afk%`   | `true` or `false` (alias)                    |
| `%twocubecore_afk_time%` | Time spent AFK (formatted; empty if not AFK) |
| `%twocubecore_afktime%`  | AFK time (alias)                             |

#### TPA

| Placeholder                 | Returns                                                 |
| --------------------------- | ------------------------------------------------------- |
| `%twocubecore_tpa_confirm%` | Name of player with pending TPA request (empty if none) |

#### Auction House

| Placeholder                                  | Returns                                            |
| -------------------------------------------- | -------------------------------------------------- |
| `%twocubecore_auction_current_page%`         | Current page â€” browse view                       |
| `%twocubecore_auction_max_page%`             | Total pages â€” browse view                        |
| `%twocubecore_auction_selected_sorting_raw%` | Active sort mode (newest/oldest/cheapest/priciest) |
| `%twocubecore_auction_sell_count%`           | Your active listing count                          |
| `%twocubecore_auction_sell_limit%`           | Your max allowed listings                          |
| `%twocubecore_ah_current_page%`              | Current page â€” My Items view                     |
| `%twocubecore_ah_max_page%`                  | Total pages â€” My Items view                      |
| `%twocubecore_ah_price%`                     | Minimum sell price required                        |

#### Settings Status

Format: `%twocube_status_<setting>%` â€” returns **Enabled** or **Disabled**.

| Placeholder                                | Setting             |
| ------------------------------------------ | ------------------- |
| `%twocube_status_pay_alerts%`              | Pay Alerts          |
| `%twocube_status_clear_entities_messages%` | Entity Clear Alerts |
| `%twocube_status_bounty_alerts%`           | Bounty Alerts       |
| `%twocube_status_respawn_items%`           | Respawn Items       |
| `%twocube_status_scoreboard_visibility%`   | Scoreboard          |
| `%twocube_status_tpa_confirm_menus%`       | TPA Confirm Menus   |
| `%twocube_status_tpa_requests%`            | TPA Requests        |
| `%twocube_status_tpa_here_requests%`       | TPAHere Requests    |
| `%twocube_status_payments%`                | Payments            |
| `%twocube_status_disable_mob_spawn%`       | Mob Spawns          |
| `%twocube_status_disable_phantom_spawn%`   | Phantom Spawns      |
| `%twocube_status_pay_confirm_menus%`       | Pay Confirm Menus   |
| `%twocube_status_tp_auto%`                 | TP Auto-Accept      |
| `%twocube_status_totem_particles%`         | Totem Particles     |
| `%twocube_status_worth%`                   | Worth Display       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.twocube.in/plugins/twocubecore-plugin/twocubecore-placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
